Subject: Ticket Assigned - Delay in my order delivery
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Sat, 11 Dec 2021 08:09:48 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delay in my order delivery Hello,

I have placed an order 6 days ago and I have not received it yet.
When I track it, it says “request address change”.

Could you kindly check the attached and advise ASAP.

My contact number is (+965) 66672619.
My full address is
Mubarak Al Kabeer gouvernâtes
Sabah Al Salem
Block 1
Street 137
4 Angles building
Tower B
Floor 16
Apartment 2

Awaiting to hear from you at the earliest.

Thank you,

Lara Sfeir

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3579544